using System.IO;

namespace WS
{
    ///<summary>协议接口</summary>
    public interface IProto
    {
        ///<summary>协议号</summary>
        byte Opcode { get; }

        ///<summary>写入值</summary>
        int Write(MemoryStream stream);

        ///<summary>读取值</summary>
        void Read(MemoryStream stream);
    }
}